// 出厂作业
<template>
    <div class="sale">
        <div class="top">
            <!-- 框计算 -->
      <span class="text">出厂时间：</span>
      <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <span class="text1">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
       <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
        </div>
        <div class="tab">
            <dilTable v-bind.sync="option"></dilTable>
        </div>
    </div>
</template>
<script>
import { sjTime } from "@/utils/sharedJsFile";
export default {
    data(){
        return{
            inputText:'',
            startTime: null,
            endTime: null,
            option: {       
                // 表格请求数据的地址
                requestUrl: "/api/v1/tms/getLeaveFactoryResult?apiId=110&orderType=9",
            },
        }
    },
    methods:{
        onclick(){
            let startTime = null;
      let endTime = null;
      if(this.startTime){
        startTime = sjTime(this.startTime);
      }
      if(this.endTime){
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime){
        if(startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=110&orderType=9&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
          }else{
          this.startTime = null;
          this.endTime = null;
          this.$message.warning('开始时间要比结束时间早')
        }
      }else{
        this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=110&orderType=9&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
        
      }  
        }
    }
}
</script>
<style lang="scss">
    .sale{
        .top{
            width: 100%;height: 5rem;
            display: flex;
            align-items: center;
            padding-left: 2.5rem;
        }
    }
</style>